[arch-commits] Commit in speedtouch/trunk (PKGBUILD speedtouch-1.3.1-gcc4.patch)

Eric Bélanger eric at archlinux.org
Sat Apr 18 02:01:39 EDT 2009


    Date: Saturday, April 18, 2009 @ 02:01:39
  Author: eric
Revision: 35900

upgpkg: speedtouch 1.3.1-2
    Added license, Added arch array, FHS man pages, Added gcc 4.3 build patch

Added:
  speedtouch/trunk/speedtouch-1.3.1-gcc4.patch
Modified:
  speedtouch/trunk/PKGBUILD

-----------------------------+
 PKGBUILD                    |   17 ++++++++++-------
 speedtouch-1.3.1-gcc4.patch |   11 +++++++++++
 2 files changed, 21 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-18 05:59:06 UTC (rev 35899)
+++ PKGBUILD	2009-04-18 06:01:39 UTC (rev 35900)
@@ -3,16 +3,19 @@
 # Contributor: Aurelien Foret <orelien at chez.com>
 pkgname=speedtouch
 pkgver=1.3.1
-pkgrel=1
+pkgrel=2
 pkgdesc="Driver for the ADSL Speed Touch USB modem"
+arch=('i686' 'x86_64')
+url="http://speedtouch.sourceforge.net/"
+license=('GPL')
 depends=('bash')
-source=(http://dl.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.bz2)
-url="http://speedtouch.sourceforge.net/"
-md5sums=('0848a120ae0eeab6c8ab378e11dc4fa2')
+source=(http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.bz2 speedtouch-1.3.1-gcc4.patch)
+md5sums=('0848a120ae0eeab6c8ab378e11dc4fa2' '4191035925db745944c75e26937c42a3')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr --sysconfdir=/etc
+  cd $srcdir/$pkgname-$pkgver
+  patch -p1 < ../speedtouch-1.3.1-gcc4.patch || return 1
+  ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man || return 1
   make || return 1
-  make prefix=$startdir/pkg/usr sysconfdir=$startdir/pkg/etc install || return 1
+  make prefix=$pkgdir/usr sysconfdir=$pkgdir/etc mandir=$pkgdir/usr/share/man install || return 1
 }

Added: speedtouch-1.3.1-gcc4.patch
===================================================================
--- speedtouch-1.3.1-gcc4.patch	                        (rev 0)
+++ speedtouch-1.3.1-gcc4.patch	2009-04-18 06:01:39 UTC (rev 35900)
@@ -0,0 +1,11 @@
+--- speedtouch-1.3.1/src/modem.h        2004-09-29 21:56:31.000000000 +0100
++++ speedtouch-1.3.1-gcc4/src/modem.h   2005-07-21 07:15:03.000000000 +0100
+@@ -38,7 +38,4 @@
+ #define EP_CODE_IN  0x85
+ #define EP_CODE_OUT 0x05
+
+-/* Global Variables */
+-extern int verbose;
+-
+ #endif
+ 
\ No newline at end of file



More information about the arch-commits mailing list